clear all
close all
n=input('Grado del polinomio approssimante');
%N=dimensione dello spazio dei polinomi ( uguale al grado+1)
N=n+1;
% 
% %% PUNTI DA APPROSSIMARE (x,y)
x=[5 10 15 20 25 30 35 40 45 50]';
y=[17 24 31 33 37 37 40 40 42 41]';

%% Crea matrice H
%Numero di punti di osservazione;
m=length(x);
H=ones(m,1);
for i=1:n
        H=[H x.^i];
end

%% Determina polinomio approssimante 
[a] = risolvi_EQN(H,y);
%a=polyfit(x,y,N);
%Valutazione del polinomio di approssimazione nei punti xval con lo schema di Horner
xval=linspace(5,50,200);
%yval = Horner(a,xval);
yval = polyval(fliplr(a'),xval)

%% Grafici punti di approssimazione e polinomio approssimante
figure
plot(xval,yval);
hold on
plot(x,y,'o')
